--- jumanji-0_p20111209/config.mk
+++ jumanji-0_p20111209/config.mk
@@ -3,6 +3,12 @@
 
 VERSION = 0.0.0
 
+ifeq ($(V),)
+	Q := @
+else
+	Q :=
+endif
+
 # paths
 PREFIX ?= /usr
 MANPREFIX ?= ${PREFIX}/share/man
--- jumanji-0_p20111209/Makefile
+++ jumanji-0_p20111209/Makefile
@@ -19,11 +19,11 @@
 
 %.o: %.c
 	@echo CC $<
-	@${CC} -c ${CFLAGS} -o $@ $<
+	$(Q)${CC} -c ${CFLAGS} -o $@ $<
 
 %.do: %.c
 	@echo CC $<
-	@${CC} -c ${CFLAGS} ${DFLAGS} -o $@ $<
+	$(Q)${CC} -c ${CFLAGS} ${DFLAGS} -o $@ $<
 
 ${OBJECTS}:  config.h config.mk
 ${DOBJECTS}: config.h config.mk
@@ -38,18 +38,18 @@
 
 ${PROJECT}: ${OBJECTS}
 	@echo CC -o $@
-	@${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}
+	$(Q)${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}
 
 clean:
-	@rm -rf ${PROJECT} ${OBJECTS} ${PROJECT}-${VERSION}.tar.gz \
+	$(Q)rm -rf ${PROJECT} ${OBJECTS} ${PROJECT}-${VERSION}.tar.gz \
 		${DOBJECTS} ${PROJECT}-debug
 
 distclean: clean
-	@rm -rf config.h
+	$(Q)rm -rf config.h
 
 ${PROJECT}-debug: ${DOBJECTS}
 	@echo CC -o ${PROJECT}-debug
-	@${CC} ${LDFLAGS} -o ${PROJECT}-debug ${DOBJECTS} ${LIBS}
+	$(Q)${CC} ${LDFLAGS} -o ${PROJECT}-debug ${DOBJECTS} ${LIBS}
 
 debug: ${PROJECT}-debug
 
@@ -61,25 +61,25 @@
 	cgdb ${PROJECT}-debug
 
 dist: clean
-	@mkdir -p ${PROJECT}-${VERSION}
-	@cp -R LICENSE Makefile config.mk config.def.h README \
+	$(Q)mkdir -p ${PROJECT}-${VERSION}
+	$(Q)cp -R LICENSE Makefile config.mk config.def.h README \
 			${PROJECT}.1 ${SOURCE} ${PROJECT}-${VERSION}
-	@tar -cf ${PROJECT}-${VERSION}.tar ${PROJECT}-${VERSION}
-	@gzip ${PROJECT}-${VERSION}.tar
-	@rm -rf ${PROJECT}-${VERSION}
+	$(Q)tar -cf ${PROJECT}-${VERSION}.tar ${PROJECT}-${VERSION}
+	$(Q)gzip ${PROJECT}-${VERSION}.tar
+	$(Q)rm -rf ${PROJECT}-${VERSION}
 
 install: all
 	@echo installing executable file
-	@mkdir -p ${DESTDIR}${PREFIX}/bin
-	@cp -f ${PROJECT} ${DESTDIR}${PREFIX}/bin
-	@chmod 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin/${PROJECT}
-	@echo installing manual page
-	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
-	@sed "s/VERSION/${VERSION}/g" < ${PROJECT}.1 > ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
-	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
+	$(Q)mkdir -p ${DESTDIR}${PREFIX}/bin
+	$(Q)cp -f ${PROJECT} ${DESTDIR}${PREFIX}/bin
+	$(Q)chmod 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin/${PROJECT}
+	$(Q)echo installing manual page
+	$(Q)mkdir -p ${DESTDIR}${MANPREFIX}/man1
+	$(Q)sed "s/VERSION/${VERSION}/g" < ${PROJECT}.1 > ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
+	$(Q)chmod 644 ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
 
 uninstall:
 	@echo removing executable file
-	@rm -f ${DESTDIR}${PREFIX}/bin/${PROJECT}
+	$(Q)rm -f ${DESTDIR}${PREFIX}/bin/${PROJECT}
 	@echo removing manual page
-	@rm -f ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
+	$(Q)rm -f ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
